From b05dbd96e01b0a0eecf5f9f940d874cf88d1e6d3 Mon Sep 17 00:00:00 2001
From: Ivan Sokolov <ivan-p-sokolov@ya.ru>
Date: Wed, 22 May 2019 23:25:06 +0300
Subject: [PATCH 1/3] New package: bintuils-doc-2.32

---
 srcpkgs/binutils-doc      |  1 +
 srcpkgs/binutils/template | 12 ++++++++++--
 2 files changed, 11 insertions(+), 2 deletions(-)
 create mode 120000 srcpkgs/binutils-doc

diff --git a/srcpkgs/binutils-doc b/srcpkgs/binutils-doc
new file mode 120000
index 00000000000..695eb82eae6
--- /dev/null
+++ b/srcpkgs/binutils-doc
@@ -0,0 +1 @@
+binutils
\ No newline at end of file
diff --git a/srcpkgs/binutils/template b/srcpkgs/binutils/template
index 2ebd7c5d9a2..5a156c4c4c9 100644
--- a/srcpkgs/binutils/template
+++ b/srcpkgs/binutils/template
@@ -96,8 +96,6 @@ do_install() {
 	echo "INPUT ( /usr/lib/libopcodes.a -lbfd )" \
 		>${DESTDIR}/usr/lib/libopcodes.so
 
-	# Remove info file that conflicts with autoconf.
-	rm -f ${DESTDIR}/usr/share/info/standards.info
 	rm -f ${DESTDIR}/usr/lib64
 
 	# Remove useless manpages.
@@ -119,3 +117,13 @@ binutils-devel_package() {
 		vmove "usr/lib/*.so"
 	}
 }
+
+binutils-doc_package() {
+	archs=noarch
+	short_desc+=" - info files"
+	pkg_install() {
+		vmove usr/share/info
+		# Remove info file that conflicts with autoconf.
+		rm -f ${PKGDESTDIR}/usr/share/info/standards.info
+	}
+}

From 0878aba1719f243ae09a8c60053cf5f3d49aa5d1 Mon Sep 17 00:00:00 2001
From: Ivan Sokolov <ivan-p-sokolov@ya.ru>
Date: Wed, 22 May 2019 23:28:15 +0300
Subject: [PATCH 2/3] cross-arm-none-eabi-binutils: add dependency on
 documentation

---
 srcpkgs/cross-arm-none-eabi-binutils/template | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/cross-arm-none-eabi-binutils/template b/srcpkgs/cross-arm-none-eabi-binutils/template
index 3bee321d7c8..fd106a2c40a 100644
--- a/srcpkgs/cross-arm-none-eabi-binutils/template
+++ b/srcpkgs/cross-arm-none-eabi-binutils/template
@@ -3,7 +3,7 @@ _triplet=arm-none-eabi
 _pkgname=binutils
 pkgname=cross-${_triplet}-${_pkgname}
 version=2.32
-revision=1
+revision=2
 wrksrc="${_pkgname}-${version}"
 build_style=gnu-configure
 configure_args="
@@ -24,6 +24,7 @@ configure_args="
 "
 hostmakedepends="autoconf automake bison flex perl"
 makedepends="zlib-devel"
+depends="binutils-doc"
 short_desc="GNU binary utilities"
 maintainer="Ivan Sokolov <ivan-p-sokolov@ya.ru>"
 license="GPL-3.0-or-later"

From ef51cba584cdbfe88139bf62aa0a0d1c03da5318 Mon Sep 17 00:00:00 2001
From: Ivan Sokolov <ivan-p-sokolov@ya.ru>
Date: Thu, 23 May 2019 03:36:53 +0300
Subject: [PATCH 3/3] binutils: add dependency on documentation

---
 srcpkgs/binutils/template | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/binutils/template b/srcpkgs/binutils/template
index 5a156c4c4c9..2607ab5f817 100644
--- a/srcpkgs/binutils/template
+++ b/srcpkgs/binutils/template
@@ -1,7 +1,7 @@
 # Template file for 'binutils'
 pkgname=binutils
 version=2.32
-revision=2
+revision=3
 bootstrap=yes
 short_desc="GNU binary utilities"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
@@ -13,6 +13,7 @@ checksum=0ab6c55dd86a92ed561972ba15b9b70a8b9f75557f896446c82e8b36e473ee04
 if [ "$CHROOT_READY" ]; then
 	hostmakedepends="flex perl"
 	checkdepends="bc"
+	depends="binutils-doc"
 else
 	unset XBPS_CHECK_PKGS
 	XBPS_TRIPLET=x86_64-unknown-linux-gnu
